PSKCTOOL(1)

NAME
pskctool - Portable Symmetric Key Container (PSKC) tool

SYNOPSIS
pskctool [OPTION]... [FILE]...

DESCRIPTION
Manipulate Portable Symmetric Key Container (PSKC) data.

This tool allows you to parse, print, validate, sign and verify PSKC data. The input is provided in FILE or on standard input.

-h, --help
    Print help and exit

-V, --version
    Print version and exit

--strict
    Fail hard on PSKC parse error (default=off)

-d, --debug
    Show debug messages on stderr (default=off)

-q, --quiet
    Quiet operation (default=off)

-v, --verbose
    Produce more output (default=off)

Selecting one of the following modes is required:

    Mode: info

-i, --info
    Parse and print human readable summary of PSKC input (default=off)

    Mode: validate

-e, --validate
    Validate PSKC input against XML Schema (default=off)

    Mode: sign

    Digitally sign PSKC data

--sign
    Sign PSKC input (default=off)

--sign-key=FILE
    Private key to sign with

--sign-crt=FILE
    X.509 certificate to sign with

    Mode: verify

    Verify digitally signed PSKC data

--verify
    Verify signed PSKC input (default=off)

--verify-crt=FILE
    Trusted X.509 certificate for verification

EXAMPLES
See <https://www.nongnu.org/oath-toolkit/libpskc-api/pskc-tutorial-pskctool.html>.

AUTHOR
Written by Simon Josefsson.

REPORTING BUGS
Report bugs to: oath-toolkit-help@nongnu.org pskctool home page: <https://www.nongnu.org/oath-toolkit/>
General help using GNU software: <https://www.gnu.org/gethelp/>

COPYRIGHT
Copyright © 2024 Simon Josefsson. License GPLv3+: GNU GPL version 3 or later <https://gnu.org/licenses/gpl.html>.
This is free software: you are free to change and redistribute it. There is NO WARRANTY, to the extent permitted by law.